org.apache.xmlbeans.impl.xb.xsdschema

## Interface MaxExclusiveDocument

- All Superinterfaces:
    XmlObject, XmlTokenSource
  All Known Implementing Classes:
    MaxExclusiveDocumentImpl

      public interface MaxExclusiveDocument
      extends XmlObject

  A document containing one maxExclusive(@http://www.w3.org/2001/XMLSchema) element. This is a complex type.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DocumentFactory<MaxExclusiveDocument>` | `Factory`
    `static SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Facet` | `addNewMaxExclusive()` Appends and returns a new empty "maxExclusive" element
    `Facet` | `getMaxExclusive()` Gets the "maxExclusive" element
    `void` | `setMaxExclusive(Facet maxExclusive)` Sets the "maxExclusive" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final DocumentFactory<MaxExclusiveDocument> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getMaxExclusive

          Facet getMaxExclusive()

      Gets the "maxExclusive" element

    - #### setMaxExclusive

          void setMaxExclusive(Facet maxExclusive)

      Sets the "maxExclusive" element

    - #### addNewMaxExclusive

          Facet addNewMaxExclusive()

      Appends and returns a new empty "maxExclusive" element